Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161056 - CVE-2005-2801 Lost ACLs on ext3
Summary: CVE-2005-2801 Lost ACLs on ext3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard: public=20050205,source=bk,reported=20...
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-06-20 10:48 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:06:18 UTC


Attachments (Terms of Use)
aclbreak.tar.gz (deleted)
2005-06-20 10:48 UTC, Bastien Nocera
no flags Details
Fix false sharing between active and default ACLs (deleted)
2005-08-24 14:22 UTC, Stephen Tweedie
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Bastien Nocera 2005-06-20 10:48:59 UTC
See attached tarball:
acltest.sh - script to reproduce the problem, needs to be edited before
execution (don't forget to update the mount options if you want to use a file
rather than a partition to reproduce the problem)
aclcheck.pl - Tool for recurively checking if acls exist on a directory
acltest_root.tgz - Some random files (copy of GPL'ed "gallery" PHP-Script)

The output should something like (which it is before umount):
# file: acltest/test/9/2
# owner: root
# group: root
user::rwx
group::---
group:daemon:--x        #effective:---
mask::r--
other::---
default:user::rwx
default:group::---
default:group:daemon:--x        #effective:---
default:mask::r--
default:other::---

The problem is reproduceable on a 2.4.21-32.0.1.EL kernel, but not on a RHEL4
system.

Comment 1 Bastien Nocera 2005-06-20 10:49:00 UTC
Created attachment 115681 [details]
aclbreak.tar.gz

Comment 3 Bastien Nocera 2005-07-06 10:17:30 UTC

*** This bug has been marked as a duplicate of 155473 ***

Comment 5 Bastien Nocera 2005-07-19 09:49:46 UTC
Indeed, this isn't the same bug. Tested the above testcase with
kernel-2.4.21-32.12.EL, and the bug still exists.

Comment 7 Stephen Tweedie 2005-08-24 14:22:11 UTC
Created attachment 118060 [details]
Fix false sharing between active and default ACLs

I've been able to reproduce the problem locally; it is fixed by this patch
backported from upstream 2.6 kernels.

Comment 8 Stephen Tweedie 2005-08-24 14:24:12 UTC
Thanks for the clear reproducer, btw; it was very helpful in verifying this fix.


Comment 13 Ernie Petrides 2005-09-15 04:10:08 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.2.EL).


Comment 17 Red Hat Bugzilla 2006-03-15 16:06:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.